import 'dart:convert';

import 'package:flutter/services.dart';
import 'package:flutter/widgets.dart';

class Routes {
  Routes._();
  static const String programDecision = "rd://programs.decision";
  static const String programExplorer = "rd://programs.discover";
  static const String programSearch = "rd://programs.search";
  static const String exerciseExplorer = "rd://trainings.discover";
  static const String meditationExplorer = "rd://meditations.discover";
}

class CuidaiPlugin {
  static const MethodChannel _channel = const MethodChannel('cuidai_plugin');

  static void initSDK({@required Map<String, String> params}) async {
    try {
      await _channel.invokeMethod('initSDK', {
        'params': json.encode(params)
      });
    } on PlatformException catch (e) {
      print(e.message);
    }
  }

  static void route({@required String deeplink}) async {
    try {
      await _channel.invokeMethod('route', {
        "route": deeplink,
      });
    } on PlatformException catch (e) {
      print(e.message);
    }
  }
}
